Loading...
Searching...
No Matches
BALL::VIEW::RaytraceableGridController Class Reference

`#include <BALL/VIEW/DATATYPE/standardDatasets.h>`

Inheritance diagram for BALL::VIEW::RaytraceableGridController:

## Public Slots

void | visualizeRaytraceableContourSurface ()
Public Slots inherited from BALL::VIEW::DatasetController
virtual bool | write ()
| Show a file dialog for writing the selected Dataset.
bool | open ()
virtual bool | deleteDatasets ()
| Delete all Datasets.
virtual bool | deleteDataset ()
| Delete the currently highlighted Dataset.

## Public Member Functions

| RaytraceableGridController ()
| RaytraceableGridController (RaytraceableGridController &rc)
virtual | ~RaytraceableGridController ()
virtual bool | createMenuEntries ()
virtual bool | write (Dataset *set, String filetype, String filename)
virtual QMenu * | buildContextMenu (QTreeWidgetItem *item)
RaytraceableGrid * | getData (Dataset *set)
Public Member Functions inherited from BALL::VIEW::DatasetController
| DatasetController ()
| DatasetController (DatasetController &dc)
virtual | ~DatasetController ()
void | setDatasetControl (DatasetControl *dc)
DatasetControl * | getDatasetControl ()
virtual bool | handle (DatasetMessage *msg)
virtual bool | insertDataset (Dataset *set)
virtual bool | deleteDataset (Dataset *set)
vector< Dataset * > | getDatasets ()
| Get all Datasets of this type in the DatasetControl.
vector< Dataset * > | getSelectedDatasets ()
| Get all selected Datasets of this type in the DatasetControl.
Dataset * | getSelectedDataset ()
bool | hasDataset (Dataset *set)
bool | hasItem (QTreeWidgetItem *item)
| Test if a given QTreeWidgetItem corresponds to a registered Dataset.
Dataset * | getDataset (QTreeWidgetItem *item)
| Get the Dataset for a QTreeWidgetItem.
String | getType ()
virtual void | checkMenu (MainControl &mc)
vector< String > | getSupportedFileFormats ()
Public Member Functions inherited from BALL::Embeddable
| Embeddable (const String &identifier="<Embeddable>")
| Embeddable (const Embeddable &embeddable)
virtual | ~Embeddable ()
void | setIdentifier (const String &identifier)
const String & | getIdentifier () const
void | unregisterThis ()
virtual void | registerThis ()
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const

## Static Public Attributes

static String | type

## Protected Member Functions

void | deleteDataset_ (Dataset *set)
Protected Member Functions inherited from BALL::VIEW::DatasetController
void | setStatusbarText (const String &text, bool important=false)
void | setStatusbarText (const QString &text, bool important=false)
virtual Dataset * | open (String, String)
String | getFileTypes_ ()
String | getNameFromFileName_ (String filename)
QAction * | insertMenuEntry_ (Position pid, const QString &name, const char *slot, const String &description="", QKeySequence accel=QKeySequence(), const QString &menu_hint="", UIOperationMode::OperationMode initial_mode=UIOperationMode::MODE_ALL)

## Protected Attributes

RaytraceableContourSurfaceDialog * | rt_contour_surface_dialog_
Protected Attributes inherited from BALL::VIEW::DatasetController
String | type_
vector< String > | file_formats_
DatasetControl * | control_
vector< QAction * > | actions_
HashSet< QAction * > | actions_for_one_set_
HashMap< QTreeWidgetItem *, Dataset * > | item_to_dataset_
HashMap< Dataset *, QTreeWidgetItem * > | dataset_to_item_

## Additional Inherited Members

Public Types inherited from BALL::Embeddable
typedef std::vector< Embeddable * > | EmbeddableVector
static void | registerInstance_ (const std::type_info &type, const Embeddable *instance)
static void | unregisterInstance_ (const Embeddable *instance)
static Size | countInstances_ (const std::type_info &type)
static Embeddable * | getInstance_ (const std::type_info &type, Position index)
static Embeddable * | getInstance_ (const std::type_info &type, const String &identifier)

## Detailed Description

Controller class for RaytraceableGrid

Definition at line 310 of file standardDatasets.h.

## Constructor & Destructor Documentation

## RaytraceableGridController() [1/2]

BALL::VIEW::RaytraceableGridController::RaytraceableGridController | ( |  | ) |

## RaytraceableGridController() [2/2]

BALL::VIEW::RaytraceableGridController::RaytraceableGridController | ( | RaytraceableGridController & | rc | ) |

## ~RaytraceableGridController()

virtual BALL::VIEW::RaytraceableGridController::~RaytraceableGridController | ( |  | ) |

virtual

## Member Function Documentation

## buildContextMenu()

virtual QMenu * BALL::VIEW::RaytraceableGridController::buildContextMenu | ( | QTreeWidgetItem * | item | ) |

virtual

Create a context menu for this data type. Initial support for deleting and saving entries is included. Overload this method for providing further entries.

Reimplemented from BALL::VIEW::DatasetController.

## createMenuEntries()

virtual bool BALL::VIEW::RaytraceableGridController::createMenuEntries | ( |  | ) |

virtual

Create menu entries for this data type. Initial support for open file menu entry is included. Overload this method for providing further entries.

Reimplemented from BALL::VIEW::DatasetController.

## deleteDataset_()

void BALL::VIEW::RaytraceableGridController::deleteDataset_ | ( | Dataset * |  | ) |

protected virtual

In the derived class: cast to concrete type and delete the data!

Reimplemented from BALL::VIEW::DatasetController.

## getData()

RaytraceableGrid * BALL::VIEW::RaytraceableGridController::getData | ( | Dataset * | set | ) |

## visualizeRaytraceableContourSurface

void BALL::VIEW::RaytraceableGridController::visualizeRaytraceableContourSurface | ( |  | ) |

slot

## write()

virtual bool BALL::VIEW::RaytraceableGridController::write | ( | Dataset * | set,
|  | String | filetype,
|  | String | filename )

virtual

Reimplemented from BALL::VIEW::DatasetController.

## Member Data Documentation

## rt_contour_surface_dialog_

RaytraceableContourSurfaceDialog* BALL::VIEW::RaytraceableGridController::rt_contour_surface_dialog_

protected

Definition at line 351 of file standardDatasets.h.

## type

String BALL::VIEW::RaytraceableGridController::type

static

Definition at line 340 of file standardDatasets.h.